Page MenuHomePhabricator

[EPIC] Push max-width and last modified work for mobile on desktop to stable
Closed, ResolvedPublic5 Story Points

Description

Please make sure all blockers are cleared first.
Because we are pushing max-width work to stable that includes setting a max-width to the background of the last edited bar, it will be simpler to have the location also at the bottom in stable.

See blocking tasks (T96317 T98385 T96327 T98925 ...)

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@KHammerstein, @Jdlrobson - what's the estimated deployment date for that? Would you please drag this card on the Roadmap board to the estimated week/month?

@JKatzWMF, @dr0ptp4kt: We're going to miss the estimated deployment date (June 15-19) because:

  1. of a few days spent tracking down and working around a critical bug in our server-side templating code, and
  2. the blockers that are listed right at the top of the card (see 1)

We'll update Roadmap after we've committed to the next sprint.

Given that we've only just pushed this to beta, and should only merge a fix for this after next deploy cut off (Tuesday). @phuedx might be an idea to push this to next sprint?

Given the number of blockers, however small, I'm inclined to agree.

Jdlrobson renamed this task from Push max-width work for mobile on desktop to stable to Push max-width and last modified work for mobile on desktop to stable.Jun 22 2015, 4:53 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: bmansurov.
Jhernandez updated the task description. (Show Details)Jun 22 2015, 4:55 PM
KLans_WMF edited a custom field.Jun 22 2015, 4:57 PM
greg added a subscriber: greg.Jun 25 2015, 3:59 PM

ETA? This was in Roadmap for the week of June 15th.

phuedx moved this task from June 15-19 to Unscheduled on the Roadmap board.Jun 25 2015, 4:01 PM

Thanks for the ping @greg. I've moved this back to Unscheduled.

gpaumier moved this task from Triaged to Archive on the Notice board.Jul 2 2015, 8:20 PM
phuedx renamed this task from Push max-width and last modified work for mobile on desktop to stable to [EPIC] Push max-width and last modified work for mobile on desktop to stable.Jul 3 2015, 11:33 AM
phuedx added a project: Epic.
phuedx edited a custom field.
phuedx changed the status of subtask T103728: Diff not centered from Open to Stalled.Aug 5 2015, 10:17 AM
Jhernandez triaged this task as High priority.Aug 5 2015, 10:47 AM
Jhernandez removed a project: Readers-Web-Backlog.
Jhernandez added a subscriber: Jhernandez.
Jhernandez changed the status of subtask T103728: Diff not centered from Stalled to Open.Aug 14 2015, 10:26 AM
Jhernandez closed subtask T103728: Diff not centered as Resolved.
Jdlrobson edited a custom field.Sep 2 2015, 4:24 PM
Jdlrobson moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-55-π board.
rmoen claimed this task.Sep 3 2015, 5:22 PM
rmoen moved this task from To Do to Doing on the Reading-Web-Sprint-55-π board.

@rmoen I had a first pass. Given the moving parts and given I reckon this will take at least 3 commits I'd like to suggest we try something different and do this in the dev branch so kaity and i can sign off before pushing out to users... thoughts team members?

@Jdlrobson I can push to a dev branch

Change 236226 had a related patch set uploaded (by Robmoen):
Push max-width work from beta to stable

https://gerrit.wikimedia.org/r/236226

phuedx added a comment.Sep 7 2015, 3:33 PM

236226 is deployed to staging. Y'all can take a look at it here: http://reading-web-staging.wmflabs.org/

Thanks @phuedx!!
@KHammerstein can you take a close look so we can aim to get this merged to roll out to users for 14th September?

The dependency needs some attention.

T104697 needs attention.

Change 236226 merged by jenkins-bot:
Push max-width work from beta to stable

https://gerrit.wikimedia.org/r/236226

@Jdlrobson: I've moved this into Ready for Signoff as both patches have been merged and I couldn't see anything left to do.

Gonna wait till T112341 is resolved before signing off. I'm concerned it's impacting beta optin panel.

A small issue with EditWatchlist page which would be great to fix before shipping (cc @KHammerstein) :